import java.io.*;

/******************************************************************************
* This class represents a stream of unparsed binary data
******************************************************************************/
public class BinaryDataStream extends DataStream {

private final static int NBYTES=512;

/****************************************************************************
* 
****************************************************************************/
public BinaryDataStream() {
    super(new RawDataBlock(NBYTES, true));

} // end of constructor

/****************************************************************************
* read a single "unit" of data from the stream
****************************************************************************/
protected DataNode readUnit(BitInputStream in) throws IOException {

RawDataBlock block = new RawDataBlock(NBYTES);

block.read(in);

return block;

} // end of readUnit method


} // end of BinaryDataStream class
