import java.io.*;

public class DataNodeFileFilter implements FileFilter {

Class data_node_class;

/***************************************************************************
* constructor
***************************************************************************/
DataNodeFileFilter() {

try { data_node_class = Class.forName("DataNode"); }
catch(ClassNotFoundException e) {}

} //end of constructor

/***************************************************************************
* this method implements FileFilter
***************************************************************************/
public boolean accept(File file) {

String name = file.getName();
if(! name.endsWith(".class") ) return false;

if(name.indexOf('$') != -1 ) return false;

try {
Class c = Class.forName(name.substring(0,name.length()-6 ) );

return data_node_class.isAssignableFrom(c);

} catch(ClassNotFoundException e) { return false; }


} // end of accept method


} // end of DataNodeFileFilter method
