import java.io.*;

/************************************************************************
* This stream extracts a multiplexed stream from an
* MPEG system stream and decodes the resulting packets
* Note, if you write this stream you will just get the extracted stream
* and will loose the system stuff. Beware if saving in xing!
************************************************************************/
public abstract class MPEGSubStream extends MPEGStream {

int id;

/**************************************************************************
* 
**************************************************************************/
public MPEGSubStream(int id) { this.id=id; }


/**************************************************************************
* read from a filter and not the actual data 
**************************************************************************/
public void read(BitInputStream in) throws IOException {

    BitInputStream filtered = new BitInputStream(
                              new BufferedInputStream(
                              new SystemExtractInputStream(in,id)) );

    super.read(filtered);
} // end of read method



} // end of MPEGSubVideoStream class
