import java.io.*;

public class SubDoc extends DataBlock {

String name;
int size;


/****************************************************************************
*
****************************************************************************/
public SubDoc(int size, String name) {

this.size=size;
this.name=name;

} // end of constructor

/****************************************************************************
*
****************************************************************************/
public void read(BitInputStream in) throws IOException {

/********************
* read the raw data *
********************/
byte[] data = new byte[size];
in.readFully(data);

/*****************************
* now break into paragraphs *
****************************/
int offset=0;
int length=1;
while(offset+length<data.length) {


    offset += length;
    length=1;
    while(offset+length<data.length && data[offset+length]!=13 ) ++length;
    while(offset+length<data.length && data[offset+length]==13 ) ++length;

System.out.println(name+": offset="+offset+" length="+length);


    BitInputStream in2 = new BitInputStream(
                         new ByteArrayInputStream(data, offset, length) );

    TextBlock paragraph = new TextBlock(length);
  //  RawDataBlock paragraph = new RawDataBlock(length);

    paragraph.read(in2);
    add(paragraph);

}


} // end of read method


/****************************************************************************
*
****************************************************************************/
public String toString() { return name; }



} // end of SubDoc class
