import java.io.*;

public class RootOLEStream extends DataStream {

int index;

/****************************************************************************
* 
****************************************************************************/
public RootOLEStream() throws IOException { super(new DataBlock("Property")); } 

/****************************************************************************
* read a single "unit" of data from the stream
****************************************************************************/
public void read(BitInputStream in) throws IOException {

OnePassOLEStream ole = new OnePassOLEStream();
System.out.println("reading one pass stream");
ole.read(in);
System.out.println("done reading one pass stream");

BitInputStream in2 = new BitInputStream(ole.getRootStream() );

System.out.println("reading root stream");
index=0;
super.read(in2);
in2.close();


} // end of read method

/****************************************************************************
* read a single "unit" of data from the stream
****************************************************************************/
protected DataNode readUnit(BitInputStream in) throws IOException {


DataBlock property = new DataBlock("Property");

//System.out.println("about to read a property size="+property.size());

property.read(in);
System.out.println((index)+" "+
                   property.get("type").formattedValue()+" "+
                   property.get("previous").formattedValue()+" "+
                   property.get("next").formattedValue()+" "+
                   property.get("directory").formattedValue()+" "+
                   property.get("name").formattedValue()    );



++index;

return property;



} // end of readUnit method




} // end of RootOLEStream method

