public class SplitRawDataBlock extends DataBlock {

int size;

/*****************************************************************************
*
*****************************************************************************/
public SplitRawDataBlock(int size, int chunk) {

    this.size=size;

    int nchunks = size/chunk;
    for(int i=0; i<nchunks; ++i) {
        add(new RawDataBlock(chunk) );
    }

    int remaining = size - nchunks*chunk;
    if(remaining>0) add(new RawDataBlock(remaining) );

} // end of constructor

/*****************************************************************************
* string representation
*****************************************************************************/
public String toString() { 
    return size+" bytes of raw data";
}


} // end of SplitRawDataBlock class
