public class BCDHStructure {

byte mask;
byte value;

String name;

String[] formats;
String[] highlights;

/****************************************************************************
*
****************************************************************************/
public BCDHStructure(byte mask, byte value, String name, 
                     String[] formats, String[] highlights) {

    this.mask = mask;
    this.value = value;
    this.name = name;

    this.formats = formats;
    this.highlights = highlights;

} // end of constructor

/****************************************************************************
*
****************************************************************************/
public String   getName()       { return name;       }
public String[] getFormats()    { return formats;    }
public String[] getHighlights() { return highlights; }

/****************************************************************************
*
****************************************************************************/
public boolean codeMatches(byte code) {

    return (code & mask) == value;

} // end of codeMatches method

} // end of BCDHStructure class
