import java.io.*;

import java.awt.*;
import javax.swing.*;
import javax.swing.table.*;
import javax.swing.event.*;
import java.awt.event.*;

public class ExcelViewer extends JFrame {

/*****************************************************************************
*
*****************************************************************************/
public static void main(String[] args ) throws IOException {

if(args.length==0) System.exit(0);


/********************
* read the OLE file *
********************/
BitInputStream in = new BitInputStream(
                    new BufferedInputStream(
                    new FileInputStream(args[0]) ));

OLEFile ole = new OLEFile();
ole.read(in);

ExcelViewer viewer = new ExcelViewer();
JTabbedPane tabs = new JTabbedPane();
viewer.getContentPane().add(tabs);

/*************************
* look for Excel streams *
*************************/
StreamDirectory directory = ole.getStreamDirectory();
for(int i=0; i<directory.getPropertyCount(); ++i) {

    Property property = directory.getProperty(i);

    String name = property.getName();

/*
System.out.println(name);
System.out.println("length="+name.length() );

byte[] bytes = name.getBytes();
for(int j=0; j<bytes.length; ++j) {
    System.out.println(bytes[j]);
}

System.exit(0);
*/

    if(name.equals("Workbook") ) {
        /************************
        * found an Excel stream *
        ************************/
        Property parent = directory.parentDirectory(property);
        String dir = parent.getName();
System.out.println(dir+"/"+name);


        /*********************************
        * read the excel from the stream *
        *********************************/
        BitInputStream in2 = new BitInputStream(ole.getStream(property));





        ExcelFile excel = new ExcelFile();
        excel.read(in2);

        JTable table = new JTable(excel);
        table.setPreferredScrollableViewportSize(new Dimension(500, 70));

        JScrollPane scroll = new JScrollPane(table);
        tabs.add(dir,scroll);

        
        
    }

}

viewer.pack();
viewer.setVisible(true);

} // end of main method

} // end of ExcelViewer class


