import java.io.*;

public class ConstantPool extends DataBlock {

/****************************************************************************
*
****************************************************************************/
public void read(BitInputStream in) throws IOException {

AbstractDataField count = new UnsignedIntField("count", 16, 
                                               "Number of items in pool +1");
count.read(in);
add(count);

int nitems = count.value().intValue();
for(int i=1; i<nitems; ++i) {

    Constant c = new Constant(i);
    c.read(in);
    add(c);

} // end of loop over items


} // end of read method

/****************************************************************************
*
****************************************************************************/
public String toString() { return "Constant Pool"; }

} // end of ConstantPool class
