import java.io.*;

public class Interfaces extends DataBlock {

/****************************************************************************
*
****************************************************************************/
public void read(BitInputStream in) throws IOException {

AbstractDataField count = new UnsignedIntField("count", 16, 
                                               "Number of interfaces");
count.read(in);
add(count);

int nitems = count.value().intValue();
for(int i=0; i<nitems; ++i) {

    AbstractDataField field = new UnsignedIntField("interface "+(i+1), 16, 
                                        "Const pool index of interface");

    field.read(in);
    add(field);

} // end of loop over items


} // end of read method

/****************************************************************************
*
****************************************************************************/
public String toString() { return "Interfaces"; }

} // end of Interfaces class
