public class BigBlockDepot extends Depot {

/****************************************************************************
*
****************************************************************************/
public BigBlockDepot(int nblocks) { super(nblocks); }


/****************************************************************************
* ingest a new BigBlockDepotBlock
* index gives the placement of the block in the big block depot counting
* from 0
****************************************************************************/
public void add(BigBlockDepotBlock block, int index) {

int offset=128*index;

for(int i=0; i<128; ++i) {

    places[i+offset] = ((DataField)block.get(i)).value().intValue();

}

} // end of add method


/****************************************************************************
*
****************************************************************************/
public int nextBlock(int last_block) {

    return places[last_block];
}



} // end of BigBlockDepot class
